FORMAX DEVELOPER API
  1. Bill Payment V4 API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
      POST
    • Biller List
      POST
    • Bill Fetch
      POST
    • Bill Payment
      POST
    • Transaction Status
      POST
  • Bill Payment V4 API
    • Get All Billers
      GET
    • Get by Category
      GET
    • Get by Biller ID
      GET
    • Bill Fetch
      POST
    • Bill Validation
      POST
    • Bill Payment
      POST
    • Bill Payment Callback
    • Complaint Registration
      POST
    • Complaint Status
      POST
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • BC Money Transfer
    • Bank List
    • Search Remitter
    • Remitter Registration
    • Remitter Registration Verify
    • Remitter E-KYC
    • Transaction Send OTP
    • Transaction
    • Transaction Status
    • Transaction Refund OTP
    • Transaction Refund
  • UPI Cash Point
    • Generate QR
    • QR Status
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
    • Bank Account Verification
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  • AEPS
    • Bank List
    • Agent Registration
    • Agent E-KYC Status
    • Agent E-KYC
    • Two Factor Auth Status
    • Two Factor Auth
  1. Bill Payment V4 API

Bill Fetch

POST
https://api.formaxpay.com/api/bbps/v4/bill_fetch

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.formaxpay.com/api/bbps/v4/bill_fetch' \
--header 'Authorization: Basic aXlrdmN4TTNVRjJoNmFwREJncWhGWFRDaUxMZ0hPVVk6cE9rZCE7ZGNVUjU3MDFjOw==' \
--header 'Content-Type: application/json' \
--data '{
    "agent_id": "CC01RS16AGTBBH278223",
    "device": {
        "ip": "164.52.211.0",
        "channel": "AGT",
        "mac": ""
    },
    "customer": {
        "mobile": "9836114520",
        "email": "",
        "aadhaar": "",
        "pan": ""
    },
    "biller_id": "WEST00000WBLUN",
    "input_params": {
        "input": [
            {
                "paramName": "Consumer ID",
                "paramValue": "153079219"
            },
            {
                "paramName": "Mobile Number",
                "paramValue": "9836114520"
            }
        ]
    },
    "p_order_id": "P2021656548924794"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Bill Fetched Successfully",
    "data": {
        "input_params": {
            "input": [
                {
                    "paramName": "Consumer ID",
                    "paramValue": "153079219"
                },
                {
                    "paramName": "Mobile Number",
                    "paramValue": "9836114520"
                }
            ]
        },
        "biller_response": {
            "bill_amount": 100,
            "bill_date": "2026-07-29",
            "bill_number": "NA",
            "bill_period": "NA",
            "customer_name": "SK ASHRAF ALI",
            "due_date": "2026-07-29",
            "amount_options": null
        },
        "additional_info": null
    }
}
Modified at 2026-08-01 18:32:46
Previous
Get by Biller ID
Next
Bill Validation
Built with